
```plantuml this is for tecnalia plantuml plugin

participant "GUI/IDE eclipse" as DESIDE
participant "Infrastructural\nElements\nCatalogue" as IECDB #99FF99
participant "IaC Optimizer Platform (IOP)" as IAIOP
participant "Runtime Controller (PRC)" as RTPRC
participant PerformanceMonitoring as IAMON
participant SecurityMonitoring as SECMON


== DESIGN TIME == 
group Catalogue update
DESIDE -> IECDB:  Element endorsement (26)
note left: New \n element
note right: Include element  \n (static information)
end

== RUN TIME == 
group IOP interaction
IECDB <- IAIOP: Request (24)
return: Information about \n available elements \n & dynamic info
end

group Information about instances and monitoring (dynamic information)
IECDB <- RTPRC: Infrastructural element deployed and related instance info (21)
note right: New \n deployment

    loop while monitoring
    IECDB <- IAMON: Monitoring Information, ie average availability last year (20)
    note right: (dynamic \n information)
    IECDB <- SECMON: Monitoring Information, ie average security last year (19)
    end

RTPRC -> IECDB: Instance tore down (23)
note right: Undeploy
end

'note over InfrastruturalElementsCatalogue:Is the IOP always called by RuntimeController?

```
